package com.bocloud.cmp.provider.agile.device;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.AgileFabricPoolModel;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: FabricPoolProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/6/28 15:56
 */
public interface FabricPoolProvider extends SuperProvider {
    default BocloudResult<List<AgileFabricPoolModel>> list() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileFabricPoolModel> create(AgileFabricPoolModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileFabricPoolModel> modify(AgileFabricPoolModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileFabricPoolModel> detail(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<?> remove(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }
}